%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define name screenlets
%define version 0.0.12
# Don't create a debuginfo package since it would be empty
%define debug_package %{nil}


Name: %name
Version: %version
Release: 1%{?dist}
License: GPL
URL: http://www.screenlets.org/
Summary: OsX Like Dashboard
Group: System/X11
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: %name-%version.tar.bz2
Source1: logo24.png
BuildRequires: python-devel
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: gnome-python2 gnome-python2-rsvg
Requires: pygtk2
Requires: pyxdg
Requires: dbus-python
Requires: gnome-python2-desktop
Requires: gnome-python2-gnomekeyring
Requires: gnome-python2-libwnck
Requires: python-imaging

%description
Screenlets are small owner-drawn applications (written in Python) 
that can be described as "the virtual representation of things 
lying/standing around on your desk". Sticknotes, clocks, rulers, ... 
the possibilities are endless

You need Compiz or Beryl to use screenlets

%prep
%setup -n %{name}-%{version}
# Fix paths
grep -rl '/usr/local' * | xargs sed -i 's,/usr/local,%{_prefix},g'
# Fix dodgy desktop files
find -name *.desktop -exec sed -i 's/^\(Exec=.*\) >.*$/\1/' {} \;

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --root %{buildroot}


install -d %{buildroot}%{_datadir}/%{name}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}/logo24.png

install -d %{buildroot}%{_datadir}/icons
install -m0644 desktop-menu/screenlets.svg %{buildroot}%{_datadir}/icons/screenlets.svg

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-manager.desktop



%post
update-mime-database %{_datadir}/mime &>/dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :


%postun
update-mime-database %{_datadir}/mime &>/dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :


%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGELOG README TODO
%{_bindir}/screenletsd
%{_bindir}/%{name}-manager
%{_bindir}/%{name}-packager
%dir %{_datadir}/%{name}
%{_datadir}/icons/%{name}.svg
%{python_sitelib}/screenlets/*
%{_datadir}/screenlets-*
%{_datadir}/screenlets/*
%{_datadir}/applications/fedora-screenlets-manager.desktop


%changelog
*Mon Feb 11 2008 leigh scott  <leigh123@linux.net>
-bump version 0.0.12
-made changes to spec
*Tue Nov 9 2007 Jack Deslippe <jdeslip@berkeley.edu> 0.0.10-1
-First Try Fedora 8
